Bug 568188 (CVE-2010-0656) - CVE-2010-0656 webkit: possible information disclosure via xhr for file:/// URLs
Summary: CVE-2010-0656 webkit: possible information disclosure via xhr for file:/// URLs
Status: NEW
Alias: CVE-2010-0656
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://web.nvd.nist.gov/view/vuln/det...
Whiteboard: impact=low,source=cve,reported=201002...
Keywords: Security
Depends On: 589165 589169
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-24 23:26 UTC by Vincent Danen
Modified: 2019-06-08 12:56 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed:


Attachments (Terms of Use)

Description Vincent Danen 2010-02-24 23:26:23 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2010-0656 to
the following vulnerability:

WebKit before r51295, as used in Google Chrome before 4.0.249.78, presents a directory-listing page in response to an XMLHttpRequest for a file:/// URL that corresponds to a directory, which allows attackers to obtain sensitive information or possibly have unspecified other impact via a crafted local HTML document.

http://code.google.com/p/chromium/issues/detail?id=20450
http://googlechromereleases.blogspot.com/2010/01/stable-channel-update_25.html
http://sites.google.com/a/chromium.org/dev/Home/chromium-security/chromium-security-bugs
http://trac.webkit.org/changeset/51295
https://bugs.webkit.org/show_bug.cgi?id=31329
http://securitytracker.com/id?1023506

Comment 1 Tomas Hoger 2010-04-27 14:37:07 UTC
Chromium bug report references following two WebKit-upstream commits:
  http://code.google.com/p/chromium/issues/detail?id=20450#c26
  http://trac.webkit.org/changeset/51294
  http://trac.webkit.org/changeset/51295

CVE only references r51295, while r512494 is the one with most changes.

The patch for this was added to WebKit (webkitgtk 1.2.0 contains this change), but the problem depends on browser's ability to generate local directory listings.  I've tested couple of WebKit-based browsers in Fedora (GtkLauncher, midori, kazehakase, arora, qt demo browser) and only arora generates directory listings and is hence affected by this problem.

However, I think this is more of a hardening fix than a security fix.  Script in local file can access other local files (and directories), content of any file can be read by the script (assuming script knows or can guess the file name, and user running browser can read the file).  This fix can block malicious script from listing directories, but another cross-domain flaw is required to disclose the information discovered while walking the directory tree to the script author.  Hence this does not seem to be a flaw by itself.

Comment 3 Fedora Update System 2010-05-11 06:21:37 UTC
qt-4.6.2-17.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/qt-4.6.2-17.fc11

Comment 4 Fedora Update System 2010-05-11 06:21:40 UTC
qt-4.6.2-17.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/qt-4.6.2-17.fc12

Comment 5 Fedora Update System 2010-05-11 06:23:02 UTC
qt-4.6.2-17.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/qt-4.6.2-17.fc13

Comment 6 Fedora Update System 2010-05-15 20:17:34 UTC
qt-4.6.2-17.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2010-05-15 20:33:34 UTC
qt-4.6.2-17.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2010-05-15 20:35:10 UTC
qt-4.6.2-17.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.